# $Revision: 1.5 $, $Date: 2002/02/22 23:29:41 $
Summary:	Shell script to automate ripping and encoding of CD's
Summary(pl):	Skrypt shella do automatyzacji zrzucania i przetwarzania kompaktw
Name:		ripenc
Version:	0.7
Release:	2
Group:		Applications/Sound
License:	GPL
Source0:	http://www.asde.com/~mjparme/%{name}%{version}.tar.gz
Patch0:		%{name}-HOME_ETC.patch
Patch1:		%{name}-defaults.patch
URL:		http://www.asde.com/~mjparme
Requires:	dialog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Bourne shell script that automates the ripping, encoding,
and naming of CD's. It uses cda for CDDB lookups, cdparanoia, cdda2wav
or tosha (a FreeBSD ripper) for ripping, and bladeenc, 8hz-mp3 or
l3enc to encode the wav files.

%description -l pl
To jest skrypt Bourne shella ktry automatyzuje zgrywanie,
przetwarzanie i nazywanie kompaktw. Uywa cda do wyszukiwania w bazie
CDDB, cdparanoi, cdda2wav lub tosha (pod FreeBSD) do zrzucania
zawartoci, oraz bladeenca, 8hz-mp3 lub l3enca do kodowania plikw wav
do postaci mp3.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install ripenc $RPM_BUILD_ROOT%{_bindir}

gzip -9nf README Changelog KNOWN_BUGS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ripenc
%doc *.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ripenc.spec,v $
Revision 1.5  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/18 08:44:03  marcus
- rel.2, adapterized

Revision 1.3  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/27 08:41:41  migo
- adapterized

Revision 1.1  2000/07/17 12:51:06  zagrodzki
- initial release

